#ifndef TEST_NOTIFICATION_GLOBAL_SETTINGS_H
#define TEST_NOTIFICATION_GLOBAL_SETTINGS_H

#include <QObject>

namespace UkuiNotification {

class NotificationGlobalSettings : public QObject
{
    Q_OBJECT
public:
    explicit NotificationGlobalSettings(QObject *parent = nullptr);

    bool receiveNotificationsFromApps() const;
    bool isDND() const;
    bool notifyAlarmWhileDND() const;

    void setReceiveNotificationsFromApps(bool value);
    void setDND(bool value);
    void setNotifyAlarmWhileDND(bool value);
    static NotificationGlobalSettings *lastInstance();

private:
    bool m_receiveNotificationsFromApps {true};
    bool m_isDnd {false};
    bool m_notifyAlarmWhileDnd {false};
};

} // namespace UkuiNotification

#endif
